textproc/ruby-rqrcode_core - The NetBSD Packages Collection

Ruby library to encode QR Codes

RQRCodeCore

rqrcode_core is a Ruby library for encoding QR Codes.  The simple interface
(with no runtime dependencies) allows you to create QR Code data structures.
It was originally adapted in 2008 from a Javascript library by Kazuhiko
Arase: https://github.com/kazuhikoarase.

Features

* rqrcode_core is a ruby only library. It requires no native libraries. Just
  Ruby!
* It is an encoding library. You can't decode QR codes with it.
* The interface is simple and assumes you just want to encode a string into
  a QR code.
* QR code is trademarked by Denso Wave inc.

rqrcode_core is the basis of the popular rqrcode gem:
https://github.com/whomwah/rqrcode.  This gem allows you to generate
different renderings of your QR code, including png, svg and ansi.

Build dependencies

pkgtools/cwrappers

Runtime dependencies

lang/ruby27-base

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfruby26-rqrcode_core-1.2.0.tgz
NetBSD 8.0earmv7hfruby27-rqrcode_core-1.2.0.tgz
NetBSD 8.0earmv7hfruby26-rqrcode_core-1.0.0.tgz
NetBSD 8.0earmv7hfruby27-rqrcode_core-1.0.0.tgz
NetBSD 8.0i386ruby26-rqrcode_core-1.0.0.tgz
NetBSD 8.0i386ruby27-rqrcode_core-1.0.0.tgz
NetBSD 8.0powerpcruby26-rqrcode_core-1.0.0.tgz
NetBSD 8.0powerpcruby27-rqrcode_core-1.0.0.tgz
NetBSD 8.0powerpcruby26-rqrcode_core-1.0.0.tgz
NetBSD 8.0powerpcruby27-rqrcode_core-1.0.0.tgz
NetBSD 8.0powerpcruby26-rqrcode_core-1.2.0.tgz
NetBSD 8.0powerpcruby27-rqrcode_core-1.2.0.tgz
NetBSD 8.0x86_64ruby26-rqrcode_core-1.0.0.tgz
NetBSD 8.0x86_64ruby27-rqrcode_core-1.0.0.tgz
NetBSD 9.0aarch64ruby26-rqrcode_core-1.2.0.tgz
NetBSD 9.0aarch64ruby27-rqrcode_core-1.2.0.tgz
NetBSD 9.0aarch64ruby30-rqrcode_core-1.2.0.tgz
NetBSD 9.0aarch64ruby26-rqrcode_core-1.0.0.tgz
NetBSD 9.0aarch64ruby27-rqrcode_core-1.0.0.tgz
NetBSD 9.0aarch64ruby30-rqrcode_core-1.0.0.tgz
NetBSD 9.0alpharuby26-rqrcode_core-1.2.0.tgz
NetBSD 9.0alpharuby27-rqrcode_core-1.2.0.tgz
NetBSD 9.0alpharuby26-rqrcode_core-1.0.0.tgz
NetBSD 9.0alpharuby27-rqrcode_core-1.0.0.tgz
NetBSD 9.0earmruby26-rqrcode_core-1.2.0.tgz
NetBSD 9.0earmruby27-rqrcode_core-1.2.0.tgz
NetBSD 9.0earmv6hfruby26-rqrcode_core-1.2.0.tgz
NetBSD 9.0earmv6hfruby27-rqrcode_core-1.2.0.tgz
NetBSD 9.0earmv6hfruby30-rqrcode_core-1.2.0.tgz
NetBSD 9.0earmv6hfruby26-rqrcode_core-1.0.0.tgz
NetBSD 9.0earmv6hfruby27-rqrcode_core-1.0.0.tgz
NetBSD 9.0earmv6hfruby30-rqrcode_core-1.0.0.tgz
NetBSD 9.0earmv7hfruby26-rqrcode_core-1.2.0.tgz
NetBSD 9.0earmv7hfruby27-rqrcode_core-1.2.0.tgz
NetBSD 9.0earmv7hfruby30-rqrcode_core-1.2.0.tgz
NetBSD 9.0earmv7hfruby26-rqrcode_core-1.0.0.tgz
NetBSD 9.0earmv7hfruby27-rqrcode_core-1.0.0.tgz
NetBSD 9.0earmv7hfruby30-rqrcode_core-1.0.0.tgz
NetBSD 9.0earmv7hfruby26-rqrcode_core-1.2.0.tgz
NetBSD 9.0earmv7hfruby27-rqrcode_core-1.2.0.tgz
NetBSD 9.0earmv7hfruby30-rqrcode_core-1.2.0.tgz
NetBSD 9.0i386ruby26-rqrcode_core-1.0.0.tgz
NetBSD 9.0i386ruby27-rqrcode_core-1.0.0.tgz
NetBSD 9.0i386ruby30-rqrcode_core-1.0.0.tgz
NetBSD 9.0mips64ebruby26-rqrcode_core-1.0.0.tgz
NetBSD 9.0mips64ebruby27-rqrcode_core-1.0.0.tgz
NetBSD 9.0mips64ebruby30-rqrcode_core-1.0.0.tgz
NetBSD 9.0mips64ebruby26-rqrcode_core-1.2.0.tgz
NetBSD 9.0mips64ebruby27-rqrcode_core-1.2.0.tgz
NetBSD 9.0mips64ebruby30-rqrcode_core-1.2.0.tgz
NetBSD 9.0mipselruby27-rqrcode_core-1.0.0.tgz
NetBSD 9.0mipselruby27-rqrcode_core-1.2.0.tgz
NetBSD 9.0powerpcruby26-rqrcode_core-1.0.0.tgz
NetBSD 9.0powerpcruby27-rqrcode_core-1.0.0.tgz
NetBSD 9.0powerpcruby30-rqrcode_core-1.0.0.tgz
NetBSD 9.0powerpcruby26-rqrcode_core-1.0.0.tgz
NetBSD 9.0powerpcruby27-rqrcode_core-1.0.0.tgz
NetBSD 9.0powerpcruby30-rqrcode_core-1.0.0.tgz
NetBSD 9.0powerpcruby26-rqrcode_core-1.0.0.tgz
NetBSD 9.0powerpcruby26-rqrcode_core-1.2.0.tgz
NetBSD 9.0powerpcruby27-rqrcode_core-1.0.0.tgz
NetBSD 9.0powerpcruby27-rqrcode_core-1.2.0.tgz
NetBSD 9.0powerpcruby30-rqrcode_core-1.0.0.tgz
NetBSD 9.0powerpcruby30-rqrcode_core-1.2.0.tgz
NetBSD 9.0sparc64ruby26-rqrcode_core-1.0.0.tgz
NetBSD 9.0sparc64ruby27-rqrcode_core-1.0.0.tgz
NetBSD 9.0sparc64ruby30-rqrcode_core-1.0.0.tgz
NetBSD 9.0sparc64ruby26-rqrcode_core-1.2.0.tgz
NetBSD 9.0sparc64ruby27-rqrcode_core-1.2.0.tgz
NetBSD 9.0sparc64ruby30-rqrcode_core-1.2.0.tgz
NetBSD 9.0sparcruby27-rqrcode_core-1.2.0.tgz
NetBSD 9.0sparcruby30-rqrcode_core-1.2.0.tgz
NetBSD 9.0x86_64ruby26-rqrcode_core-1.0.0.tgz
NetBSD 9.0x86_64ruby27-rqrcode_core-1.0.0.tgz
NetBSD 9.0x86_64ruby30-rqrcode_core-1.0.0.tgz
NetBSD 9.0x86_64ruby26-rqrcode_core-1.2.0.tgz
NetBSD 9.0x86_64ruby27-rqrcode_core-1.2.0.tgz
NetBSD 9.0x86_64ruby30-rqrcode_core-1.2.0.tgz
NetBSD 9.0x86_64ruby26-rqrcode_core-1.0.0.tgz
NetBSD 9.0x86_64ruby27-rqrcode_core-1.0.0.tgz
NetBSD 9.0x86_64ruby30-rqrcode_core-1.0.0.tgz
NetBSD 9.0x86_64ruby26-rqrcode_core-1.2.0.tgz
NetBSD 9.0x86_64ruby27-rqrcode_core-1.2.0.tgz
NetBSD 9.0x86_64ruby30-rqrcode_core-1.2.0.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.